petsc-3.6.2 2015-10-02
Report Typos and Errors

# TSGLAcceptRegister

adds a TSGL acceptance scheme

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSGLAcceptRegister(const char sname[],TSGLAcceptFunction function)

Not Collective

### Input Parameters

| name_scheme | - name of user-defined acceptance scheme
| routine_create | - routine to create method context

### Notes

TSGLAcceptRegister() may be called multiple times to add several user-defined families.

### Sample usage

       TSGLAcceptRegister("my_scheme",MySchemeCreate);

Then, your scheme can be chosen with the procedural interface via

        TSGLSetAcceptType(ts,"my_scheme")

or at runtime via the option

        -ts_gl_accept_type my_scheme

### Keywords

TSGL, TSGLAcceptType, register

### See Also

TSGLRegisterAll()

Level:advanced
Location:src/ts/impls/implicit/gl/gl.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages